#!/bin/bash

die() { printf "$1\n"; exit 1; } >&2

[[ $PWD == "$HOME/.rcfiles" ]] || die "error: this file assumes you've cloned this folder under ~/.rcfiles"


mkdir -pv ../.config/nvim
mkdir -pv ../.oh-my-zsh/themes


ln -sri vimrc ../.vimrc
ln -sri vimrc ../.config/nvim/init.vim
ln -sri oh.my.zshrc ../.zshrc
ln -sri coc-settings.json ../.config/nvim/coc-settings.json
ln -sri _clang-format ../.clang-format
ln -sri myrr.zsh-theme ../.oh-my-zsh/themes/myrr.zsh-theme
